<?php

namespace Aelia;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetEnabledDataSet' => '\\Aelia\\StructType\\GetEnabledDataSet',
            'GetEnabledDataSetResponse' => '\\Aelia\\StructType\\GetEnabledDataSetResponse',
            'GetSchemaDataSet' => '\\Aelia\\StructType\\GetSchemaDataSet',
            'GetSchemaDataSetResponse' => '\\Aelia\\StructType\\GetSchemaDataSetResponse',
            'GetDataSet' => '\\Aelia\\StructType\\GetDataSet',
            'GetDataSetResponse' => '\\Aelia\\StructType\\GetDataSetResponse',
            'GetDataSetChanges' => '\\Aelia\\StructType\\GetDataSetChanges',
            'GetDataSetChangesResponse' => '\\Aelia\\StructType\\GetDataSetChangesResponse',
            'GetEnabledDataSet_Output' => '\\Aelia\\StructType\\GetEnabledDataSet_Output',
            'ArrayOfSetDati' => '\\Aelia\\ArrayType\\ArrayOfSetDati',
            'SetDati' => '\\Aelia\\StructType\\SetDati',
            'GetSchemaDataSet_Output' => '\\Aelia\\StructType\\GetSchemaDataSet_Output',
            'ArrayOfField' => '\\Aelia\\ArrayType\\ArrayOfField',
            'Field' => '\\Aelia\\StructType\\Field',
            'GetDataSet_Output' => '\\Aelia\\StructType\\GetDataSet_Output',
            'GetDataSetChanges_Output' => '\\Aelia\\StructType\\GetDataSetChanges_Output',
        );
    }
}
